Package com.ngrok.definitions

# Class HttpResponseBackend

java.lang.Object
com.ngrok.definitions.HttpResponseBackend

public class HttpResponseBackend extends Object
A class encapsulating the `HttpResponseBackend` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpResponseBackend(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String body, Map<String,String> headers, Integer statusCode)`
  Creates a new instance of `HttpResponseBackend`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getBody()`
  body to return as fixed content
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the backend was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of this backend.
  `Map<String,String>`
  `getHeaders()`
  headers to return
  `String`
  `getId()`
  Fetches the value of the `id` property.
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this backend.
  `int`
  `getStatusCode()`
  status code to return
  `URI`
  `getUri()`
  URI of the HTTPResponseBackend API resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpResponseBackend

    public HttpResponseBackend(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String body, Map<String,String> headers, Integer statusCode)
    Creates a new instance of `HttpResponseBackend`.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
      `uri` - URI of the HTTPResponseBackend API resource
      `createdAt` - timestamp when the backend was created, RFC 3339 format
      `description` - human-readable description of this backend. Optional
      `metadata` - arbitrary user-defined machine-readable data of this backend. Optional
      `body` - body to return as fixed content
      `headers` - headers to return
      `statusCode` - status code to return

- ## Method Details

  - ### getId

    public String getId()
    Fetches the value of the `id` property.
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the HTTPResponseBackend API resource
    Returns:
      the value of the property as a `URI`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the backend was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getDescription

    public String getDescription()
    human-readable description of this backend. Optional
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this backend. Optional
    Returns:
      the value of the property as a `String`

  - ### getBody

    public String getBody()
    body to return as fixed content
    Returns:
      the value of the property as a `String`

  - ### getHeaders

    public Map<String,String> getHeaders()
    headers to return
    Returns:
      the value of the property as a `Map` of `String` to `String`

  - ### getStatusCode

    public int getStatusCode()
    status code to return
    Returns:
      the value of the property as a `int`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`